<button class="btn btn-danger" (click)="onPostClick()">Add Post</button>

<table class="table table-striped" *ngIf="posts$ | async as posts">
  <thead>
  <tr>
    <th scope="col">#</th>
    <th scope="col">Body</th>
    <th scope="col">Title</th>
  </tr>
  </thead>
  <tbody>
  <tr *ngFor="let post of posts; index as i" (click)="onPostClick(post)">
    <th scope="row">{{ i + 1 }}</th>
    <td>
      {{ post.body }}
    </td>
    <td>{{ post.title }}</td>
  </tr>
  </tbody>
</table>
